<?php
namespace App\Galileo\StructureParser\Structures\NDCEMD;

class Supplier extends \App\Galileo\StructureParser\Structures\Base\Supplier
{
	protected function _getData()
	{
		list($parsedStructure, , $transactionIndexes, ) = $this->getTransactionDetails();

		$item = new \App\Galileo\StructureParser\Types\Supplier();

		$item->code3 = 			substr($parsedStructure['A14_NDC']['ExtraTransactions'][$transactionIndexes['kx']]['RemarksTransactionReason']['EMDTicketNumber'], 0, 3);

		return $item;
	}

}
